Page MenuHomePhabricator

Separate BoilerPlate extension from extension/examples
Closed, ResolvedPublic

Description

T94275 adds standard entry points npm test and composer test to the BoilerPlate extension. But it can't demonstrate T92909 because our zuul/Jenkins CI doesn't work with it.

@Legoktm commented

I'm wondering if BoilerPlate should be a totally separate repo so we can actually run our tests on it, which we can't because it's in a subdirectory

Currently mwext-examples-testextension-zend fails to test checkins of extension/example with:

Could not load some extensions because they are missing
the expected entry point:

examples

Details

Related Gerrit Patches:
mediawiki/extensions/examples : masterremove BoilerPlate files now in separate extension
mediawiki/extensions/BoilerPlate : masterpromote BoilerPlate files to top level

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added subscribers: Spage, Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 10:43 PM
Krinkle added a subscriber: Krinkle.EditedMar 29 2015, 7:47 AM

I'd recommend we:

  • Rename "examples" to "BoilerPlate" or "Example".
  • Move BoilerPlate contents to the root directory.
  • Consolidate other fake/partial example subdirectories into this one.

Depending on whether we can rename or not, we can also create Example as a new one, import the rest, and remove the old one.

Krinkle triaged this task as Low priority.Apr 14 2015, 1:40 AM
Krinkle set Security to None.

I submitted a new repository request for extensions/BoilerPlate.

Change 226258 had a related patch set uploaded (by Spage):
promote BoilerPlate files to top level

https://gerrit.wikimedia.org/r/226258

Change 226262 had a related patch set uploaded (by Spage):
remove BoilerPlate files now in separate extension

https://gerrit.wikimedia.org/r/226262

Change 226258 merged by Legoktm:
promote BoilerPlate files to top level

https://gerrit.wikimedia.org/r/226258

Change 226262 merged by jenkins-bot:
remove BoilerPlate files now in separate extension

https://gerrit.wikimedia.org/r/226262

Spage closed this task as Resolved.Sep 7 2015, 7:13 AM

extensions/BoilerPlate has existed for a month, so I +2d https://gerrit.wikimedia.org/r/226262 to remove the files in extensions/examples/BoilerPlate, so resolving.